//Branchement des shields moteurs arduino
//moteur direction, pwm, brake
//moteur A : 12, 3, 9
//moteur B : 13, 11, 8

//On définit dir_A, la broche qui donne le sens de rotation du moteur A
//On définit vitesseA, la broche qui fixe la vitesse de rotation du moteur A


#define dir_A 12
#define vitesseA 3
#define dir_B 13
#define vitesseB 11


void setup() {
  //PARTIE MOTEUR
  //Setup moteur A
  pinMode(dir_A, OUTPUT); //Initiates Motor Channel A pin
  pinMode(vitesseA, OUTPUT); //Initiates pwm Channel A pin

  //Setup moteur B
  pinMode(dir_B, OUTPUT); //Initiates Motor Channel B pin
  pinMode(vitesseB, OUTPUT); //Initiates pwm Channel B pin

}

void loop() {
  //Faire tourner le moteur A pour marche AV
  //Ecrire : digitalWrite(dir_A, HIGH ou LOW);
  digitalWrite(dir_A, LOW);
  digitalWrite(dir_B, LOW);
  //Fixer la vitesse du moteur A 
  //Ecrire : analogWrite(vitesseA, un nombre de 0 à 255);
  analogWrite(vitesseA, 60);
  analogWrite(vitesseB, 60);
  //Attendre 2000ms
  delay(2000);
  //Arrêter le moteur A
  analogWrite(vitesseA, 0);
  analogWrite(vitesseB, 0);
  //Attendre 2000ms   
  delay(2000);

}
